<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>org.example.decouverte</groupId>
    <artifactId>code.Master</artifactId>
    <version>7.3.1</version>
    <relativePath>../../../</relativePath>
  </parent>
  <groupId>org.example.decouverte.job</groupId>
  <artifactId>test</artifactId>
  <version>0.1.0</version>
  <name>DECOUVERTE test-0.1.0 (0.1,Jobs)</name>
  <properties>
    <output.resources.dir>${talend.job.name}/src/main/resources</output.resources.dir>
    <talend.job.applyContextToChildren>false</talend.job.applyContextToChildren>
    <current.test.resources.dir>${basedir}/src/test/resources</current.test.resources.dir>
    <current.int-resources.dir>${basedir}/src/main/resources</current.int-resources.dir>
    <talend.job.version>0.1</talend.job.version>
    <talend.project.name.lowercase>decouverte</talend.project.name.lowercase>
    <talend.job.path>decouverte</talend.job.path>
    <project.distribution-management.repository.id>${project.distributionManagement.repository.id}</project.distribution-management.repository.id>
    <maven.build.timestamp.format>yyyy-MM-dd HHmmssSSS</maven.build.timestamp.format>
    <talend.project.name>DECOUVERTE</talend.project.name>
    <talend.product.version>7.3.1.20200219_1130</talend.product.version>
    <talend.job.finalName>test_0_1</talend.job.finalName>
    <talend.pigudf.groupid>org.example.decouverte.pigudf</talend.pigudf.groupid>
    <talend.routine.groupid>org.example.decouverte.code</talend.routine.groupid>
    <current.bundle.resources.dir>${basedir}/src/main/bundle-resources</current.bundle.resources.dir>
    <talend.job.jvmargs>-Xms256M -Xmx1024M -Dfile.encoding=UTF-8 </talend.job.jvmargs>
    <talend.job.stat>true</talend.job.stat>
    <talend.job.context>Default</talend.job.context>
    <talend.job.date>${maven.build.timestamp}</talend.job.date>
    <current.resources.dir>${basedir}/src/main/ext-resources</current.resources.dir>
    <talend.job.name>test</talend.job.name>
    <talend.job.id>_8ATI4CwaEeyFM6cGdfkKzw</talend.job.id>
    <talend.project.id>0</talend.project.id>
    <talend.job.folder></talend.job.folder>
    <talend.job.framework></talend.job.framework>
    <project.distribution-management.repository.url>${project.distributionManagement.repository.url}</project.distribution-management.repository.url>
    <talend.job.type>Standard</talend.job.type>
  </properties>
  <dependencies>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>commons-collections4-4.1</artifactId>
      <version>6.0.0</version>
      <exclusions>
        <exclusion>
          <artifactId>*</artifactId>
          <groupId>*</groupId>
        </exclusion>
      </exclusions>
    </dependency>
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-compress</artifactId>
      <version>1.19</version>
    </dependency>
    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-math3</artifactId>
      <version>3.6.1</version>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>crypto-utils</artifactId>
      <version>6.0.0-SNAPSHOT</version>
    </dependency>
    <dependency>
      <groupId>org.dom4j</groupId>
      <artifactId>dom4j</artifactId>
      <version>2.1.1</version>
    </dependency>
    <dependency>
      <groupId>org.talend.libraries</groupId>
      <artifactId>geronimo-stax-api_1.0_spec-1.0.1</artifactId>
      <version>6.0.0</version>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-1.2-api</artifactId>
      <version>2.12.1</version>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-api</artifactId>
      <version>2.12.1</version>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-core</artifactId>
      <version>2.12.1</version>
    </dependency>
    <dependency>
      <groupId>org.apache.logging.log4j</groupId>
      <artifactId>log4j-slf4j-impl</artifactId>
      <version>2.12.1</version>
    </dependency>
    <dependency>
      <groupId>org.apache.poi</groupId>
      <artifactId>poi</artifactId>
      <version>4.1.0-20190523141255_modified_talend</version>
    </dependency>
    <dependency>
      <groupId>org.apache.poi</groupId>
      <artifactId>poi-ooxml</artifactId>
      <version>4.1.0-20190523141255_modified_talend</version>
    </dependency>
    <dependency>
      <groupId>org.apache.poi</groupId>
      <artifactId>poi-ooxml-schemas</artifactId>
      <version>4.1.0-20190523141255_modified_talend</version>
    </dependency>
    <dependency>
      <groupId>org.apache.poi</groupId>
      <artifactId>poi-scratchpad</artifactId>
      <version>4.1.0-20190523141255_modified_talend</version>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>1.7.25</version>
    </dependency>
    <dependency>
      <groupId>org.apache.xmlbeans</groupId>
      <artifactId>xmlbeans</artifactId>
      <version>3.1.0</version>
    </dependency>
    <dependency>
      <groupId>org.example.decouverte.code</groupId>
      <artifactId>routines</artifactId>
      <version>7.3.1</version>
    </dependency>
  </dependencies>
  <build>
    <finalName>${talend.job.finalName}</finalName>
  </build>
  <profiles>
    <profile>
      <id>packaging-and-assembly</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <build>
        <plugins>
          <plugin>
            <artifactId>maven-assembly-plugin</artifactId>
            <executions>
              <execution>
                <phase>package</phase>
                <goals>
                  <goal>single</goal>
                </goals>
                <configuration>
                  <descriptors>
                    <descriptor>${basedir}/src/main/assemblies/assembly.xml</descriptor>
                  </descriptors>
                  <tarLongFileMode>gnu</tarLongFileMode>
                  <appendAssemblyId>false</appendAssemblyId>
                  <finalName>${talend.job.finalName}</finalName>
                </configuration>
              </execution>
            </executions>
          </plugin>
        </plugins>
      </build>
    </profile>
    <profile>
      <id>signature</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <build>
        <plugins>
          <plugin>
            <groupId>org.talend.ci</groupId>
            <artifactId>signer-maven-plugin</artifactId>
            <version>${signer.version}</version>
            <executions>
              <execution>
                <id>sign</id>
                <phase>package</phase>
                <goals>
                  <goal>sign</goal>
                </goals>
              </execution>
            </executions>
          </plugin>
        </plugins>
      </build>
    </profile>
    <profile>
      <id>default-settings</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <talend.libraries.excludes.set>*:*</talend.libraries.excludes.set>
        <talend.jobs.excludes.set>*:*</talend.jobs.excludes.set>
      </properties>
    </profile>
    <profile>
      <id>include-java-sources</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <resources.dir>${current.resources.dir}/</resources.dir>
        <sourcecodes.dir>${project.build.sourceDirectory}</sourcecodes.dir>
      </properties>
    </profile>
    <profile>
      <id>include-maven-resources</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <assemblies.dir>${basedir}/src/main/assemblies/</assemblies.dir>
        <pigudfpom.dir>${parentpom.dir}code/pigudf/</pigudfpom.dir>
        <routinescode.dir>${parentpom.dir}code/routines/src/main/</routinescode.dir>
        <parentpom.dir>${project.parent.relativePath}</parentpom.dir>
        <templates.dir>${basedir}/src/main/templates/</templates.dir>
        <routinespom.dir>${parentpom.dir}code/routines/</routinespom.dir>
        <pigudfcode.dir>${parentpom.dir}code/pigudf/src/main/</pigudfcode.dir>
        <joblet.dir>${parentpom.dir}jobs/</joblet.dir>
        <poms.dir>${basedir}</poms.dir>
      </properties>
    </profile>
    <profile>
      <id>include-items</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <items.dir>${basedir}/src/main/items/${project.build.finalName}</items.dir>
      </properties>
    </profile>
    <profile>
      <id>include-libs</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <talend.pigudf.excludes.set>org.talend.pigudf.${talend.project.name.lowercase}:*</talend.pigudf.excludes.set>
        <talend.libraries.excludes.set>${talend.libraries.includes.set}</talend.libraries.excludes.set>
        <talend.code.excludes.set>org.talend.code.${talend.project.name.lowercase}:*</talend.code.excludes.set>
        <talend.jobs.excludes.set>${project.groupId}:*</talend.jobs.excludes.set>
        <talend.libraries.includes.set>org.talend.libraries:*</talend.libraries.includes.set>
        <current.job.binaries.include>${project.groupId}:${project.artifactId}:${project.version}</current.job.binaries.include>
      </properties>
    </profile>
    <profile>
      <id>include-binaries</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <jobs.binaries.includes.set>${project.groupId}:*</jobs.binaries.includes.set>
        <routines.binaries.includes.set>${talend.routine.groupid}:*</routines.binaries.includes.set>
      </properties>
    </profile>
    <profile>
      <id>include-xmlMappings</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <xmlMappings.resources.dir>${current.resources.dir}/xmlMappings/</xmlMappings.resources.dir>
      </properties>
    </profile>
    <profile>
      <id>include-running-xmlMappings</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <xmlMappings.running.dir>${current.resources.dir}/xmlMappings/</xmlMappings.running.dir>
      </properties>
    </profile>
    <profile>
      <id>include-rules</id>
      <properties>
        <rules.resources.dir>${current.resources.dir}/rules/</rules.resources.dir>
      </properties>
    </profile>
    <profile>
      <id>include-log4j</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <log4j.resources.dir>${current.resources.dir}/</log4j.resources.dir>
      </properties>
    </profile>
    <profile>
      <id>include-running-log4j</id>
      <properties>
        <log4j.running.dir>${current.resources.dir}/</log4j.running.dir>
      </properties>
    </profile>
    <profile>
      <id>include-contexts</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <contexts.running.dir>${current.resources.dir}/</contexts.running.dir>
      </properties>
    </profile>
    <profile>
      <id>include-test-sources</id>
      <properties>
        <test.resources.dir>${basedir}/src/test/resources/</test.resources.dir>
        <test.sourcecodes.dir>${project.build.testSourceDirectory}</test.sourcecodes.dir>
      </properties>
    </profile>
    <profile>
      <id>include-test-reports</id>
      <properties>
        <test.reports.dir>${project.build.directory}/surefire-reports</test.reports.dir>
      </properties>
    </profile>
    <profile>
      <id>include-pigudfs-binaries</id>
      <properties>
        <pigudfs.binaries.includes.set>${talend.pigudf.groupid}:*</pigudfs.binaries.includes.set>
      </properties>
    </profile>
    <profile>
      <id>include-microservice-configs</id>
      <properties>
        <microservice.configs.dir>${current.resources.dir}/</microservice.configs.dir>
      </properties>
    </profile>
    <profile>
      <id>include-microservice-running-configs</id>
      <properties>
        <microservice.running.configs.dir>${current.int-resources.dir}/</microservice.running.configs.dir>
      </properties>
    </profile>
  </profiles>
</project>
